Package org.apache.ignite.internal.processors.cache

## Class CacheEntryPredicateContainsValue

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheEntryPredicateAdapter
  - - org.apache.ignite.internal.processors.cache.CacheEntryPredicateContainsValue

All Implemented Interfaces:
  `Serializable`, `CacheEntryPredicate`, `IgnitePredicate<GridCacheEntryEx>`, `Message`

    public class CacheEntryPredicateContainsValue
    extends CacheEntryPredicateAdapter

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.CacheEntryPredicateAdapter

`locked`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
`CacheEntryPredicateContainsValue()` Required by `Message`.
`CacheEntryPredicateContainsValue​(CacheObject val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply​(GridCacheEntryEx e)` Predicate body.
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`void` `finishUnmarshal​(GridCacheContext ctx, ClassLoader ldr)`
`void` `prepareMarshal​(GridCacheContext ctx)`
`boolean` `readFrom​(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo​(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheEntryPredicateAdapter

`entryLocked, onAckReceived, peekVisibleValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheEntryPredicateContainsValue

    public CacheEntryPredicateContainsValue()

Required by `Message`.

#### CacheEntryPredicateContainsValue

    public CacheEntryPredicateContainsValue​(CacheObject val)

Parameters:
  `val` - Value to compare with.

### Method Detail

#### apply

    public boolean apply​(GridCacheEntryEx e)

Predicate body.

Parameters:
  `e` - Predicate parameter.
Returns:
  Return value.

#### finishUnmarshal

    public void finishUnmarshal​(GridCacheContext ctx,
                                ClassLoader ldr)
                         throws IgniteCheckedException

Specified by:
  `finishUnmarshal` in interface `CacheEntryPredicate`
Overrides:
  `finishUnmarshal` in class `CacheEntryPredicateAdapter`
Parameters:
  `ctx` - Context.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - If failed.

#### prepareMarshal

    public void prepareMarshal​(GridCacheContext ctx)
                        throws IgniteCheckedException

Specified by:
  `prepareMarshal` in interface `CacheEntryPredicate`
Overrides:
  `prepareMarshal` in class `CacheEntryPredicateAdapter`
Parameters:
  `ctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### writeTo

    public boolean writeTo​(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `CacheEntryPredicateAdapter`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom​(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `CacheEntryPredicateAdapter`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `CacheEntryPredicateAdapter`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `CacheEntryPredicateAdapter`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`